Subject: bug#37790: closed (Re: bug#37790: MANPATH missing from non-default profile)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Mar 2022 06:26:03 +0000

Your bug report

#37790: MANPATH missing from non-default profile

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37790: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37790: MANPATH missing from non-default profile
From: Maxim Cournoyer <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Thu, 03 Mar 2022 01:24:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 37790 notabug
thanks

Hi,

Pierre Neidhardt <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> I agree it’s inconvenient, but how would you add an exception?
>
> I'm not too sure how Guix works here, but what about when building the
> profile, systematically populating etc/profile with MANPATH=...?

I don't think special casing ~/.guix-profile like this, polluting other
profiles is a good idea.

I'm closing this 2+ years old bug.

Thank you,

Maxim

Subject: MANPATH missing from non-default profile
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Date: Thu, 17 Oct 2019 14:58:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

`man` fails to find man pages from non-default profiles.
Indeed, MANPATH is set in /etc/profile to

export MANPATH=\
$HOME/.guix-profile/share/man\
:/run/current-system/profile/share/man

I believe that each profile should set MANPATH in their own etc/profile.

Thoughts?

-- 
Pierre Neidhardt
https://ambrevar.xyz/